Downgrade 3G Baseband from 2.30 to 2.28 Now!!! No hardware Necessary!

Discussion in 'Jailbreaks and iOS Hacks' started by Vandam500, Apr 14, 2009.

  1. Vandam500 macrumors 68000

    Vandam500

    Joined:
    Sep 29, 2008
    #1
    For those who have wanted to unlock their iPhone 3G but have updated to the 2.30 baseband, hope is now here. Thanks to the work of dev pH, a tool has been created to downgrade your baseband, and allow a unlock to occur once again.

    Note- So if you have the latest version 2.2.1 then you can software unlock your iPhone 3G:)

    Download here:

    http://www.mediafire.com/download.php?odikiuqfjji

    Instructions:

    To run the pHaseBanDowngrader, connect via SSH to your iPhone and copy the downloaded folder (phasebandowngrader) into the folder "/Applications" on your iPhone.
    Note: The folder MUST named phasebandowngrader with lowercase letters!

    To run it, open MobileTerminal and type "login". The user is "root" and password is "alpine" by default. Then type: "cd / Applications/phasebandowngrader/", then, to run the downgrader, type "./phasebandowngrader"

    Good luck folks!!!! Post results here but have seen positive feedback ^_^

    Source: http://www.modmyi.com/forums/iphone-news/575351-downgrade-3g-baseband-2-30-2-28-a.html
     
  2. fenderbass146 macrumors 65816

    fenderbass146

    Joined:
    Mar 11, 2009
    Location:
    Northwest Indiana
    #2
    no way thats great. Has anyone proved this works yet. Currently I am using a turbo sim, but before I sell it I might unlock it with this to raise the value of it.
     
  3. JoeHowes macrumors newbie

    Joined:
    Jan 7, 2009
    #3
    no luck

    I cant get it to work...im not sure how to use terminal...how do you enter the command lines? is it one line or do you press enter after each line
     
  4. toxikos macrumors member

    Joined:
    Nov 28, 2008
    #4
    Only work on bootloader 5.8 not bootloader 5.9
     
  5. macdrew33 macrumors newbie

    Joined:
    Apr 16, 2009
    #5
    Bootloader version

    Just one question... I've read all the info I could dredge up, but apologize if I missed or can't remember something...

    How do I know what bootloader version I have? so I can tell if this downgrade will work for me.

    My iPhone 3G is on 2.2.1 with 02.30.03 and won't recognize my SIM. I read about how to fix that... and know the difficulties... this downgrade sounds like it would make life easier since I wouldn't have to get a SIM fix or piggyback SIM or whatever the extra little chip is called.

    Thanks for any help.
     
  6. Tokiopop macrumors 68000

    Tokiopop

    Joined:
    Dec 6, 2008
    Location:
    West Yorkshire, UK
    #6
    This is now available in Cydia, under the iClarified source. Happy downgrading and unlocking everyone :)
     
  7. Moi un Mouton macrumors 68000

    Joined:
    Mar 18, 2008
    Location:
    Bracknell UK
    #7
    See this tutorial, you can find near the start a pointer to how you find your BL version:

    http://www.iclarified.com/entry/index.php?enid=3583
     
  8. TheSpaz macrumors 604

    TheSpaz

    Joined:
    Jun 20, 2005
    #8
    What about people who've upgraded to 3.0? Can we then downgrade to 2.2.1 and then downgrade the baseband too? Then we could have a fully functional 2.2.1 again.
     
  9. LePigeonBleu macrumors 6502

    Joined:
    Jul 11, 2008
    Location:
    San Diego
    #9
    i am interested in knowing too.
     
  10. still in school macrumors 6502

    Joined:
    Feb 21, 2009
    #10
    Sorry for the noob question but where can i get MobileTerminal from?
     
  11. koollectablz macrumors 6502

    Joined:
    Feb 1, 2009
    #11
    Cydia.
     
  12. CBR900RR macrumors 6502a

    Joined:
    Oct 11, 2008
    Location:
    Middle of Pacific
    #12
    FYI, the file is call DownBB, just install it under cydia and you don't have to go thru SSH.
     
  13. still in school macrumors 6502

    Joined:
    Feb 21, 2009
    #13
    did it work for you? I tried DownBB at school and it wouldn't complete the download process. i might be blocked by the firewall at school.
     
  14. CBR900RR macrumors 6502a

    Joined:
    Oct 11, 2008
    Location:
    Middle of Pacific
    #14
    I am still on OS2.2 so I don't need any baseband downgrade.
     
  15. fabian9 macrumors 65816

    fabian9

    Joined:
    Nov 28, 2007
    Location:
    Bristol, UK
    #15
    haha congratulations?

    how come you haven't updated to 2.2.1 yet? to be fair it made no difference at all to me... but still felt good to have the latest firmware installed. not sure i'll be quite as quick to upgrade to 3.0 though!
     
  16. jmann macrumors 604

    jmann

    Joined:
    Dec 8, 2007
    Location:
    bump on a log in a hole in the bottom of the sea
    #16
    This is a good thing for all the whiners that updated to 2.2.1 before reading the dev team blog. :rolleyes:
     
  17. CBR900RR macrumors 6502a

    Joined:
    Oct 11, 2008
    Location:
    Middle of Pacific
    #17
    Because I have a better chance to sell my unlock iphone3g on craigslist and upgrade to the new iphone4g.
     
  18. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #18
    Go to post #7 and read the instructions by clicking the link.....
     
  19. iTouch macrumors 6502

    Joined:
    Sep 12, 2007
    #19
    Thanks! It works perfect after a couple of reboots. No more Turbo SIM and carrying a second phone or asking strangers to "borrow" their phone. I also lucked out and had that specific Bootloader.
     
  20. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #20
    Lucky you. I have 5.9 (5.09 whichever).

    Maybe somebody will taclke that one next !
     
  21. Knowlege Bomb macrumors 601

    Knowlege Bomb

    Joined:
    Feb 14, 2008
    Location:
    Madison, WI
    #21
    Is there any way to check your bootloader on the phone?

    I'm at work and this would give me something to do...
     
  22. koollectablz macrumors 6502

    Joined:
    Feb 1, 2009
    #22
    Follow the link in #7. You'll need to ssh into your phone but it works.

    I had 5.09 :(
     
  23. jmann macrumors 604

    jmann

    Joined:
    Dec 8, 2007
    Location:
    bump on a log in a hole in the bottom of the sea
    #23
    He meant from the phone. SSH would require a computer...
     
  24. koollectablz macrumors 6502

    Joined:
    Feb 1, 2009
    #24
    Sorry, I assumed he'd have a computer at work. Be good if the downgrader checked your loader version and just popped up a dialog if it was the wrong one.

    Though I s'pose you could run the downgrader and if it doesn't work then you have the wrong bootloader - I did, but then felt the need to physically check as well.
     
  25. jmann macrumors 604

    jmann

    Joined:
    Dec 8, 2007
    Location:
    bump on a log in a hole in the bottom of the sea
    #25
    I think it should work like all the other cydia packages that are firmware dependant, where it does a check beforehand to verify you have the correct os.
     

Share This Page